# pyqtgraph-ext
Collection of [PyQtGraph](https://www.pyqtgraph.org) widgets/tools with custom styling or behavior.

![GitHub Tag](https://img.shields.io/github/v/tag/marcel-goldschen-ohm/pyqtgraph-ext?cacheSeconds=1)
![build-test](https://github.com/marcel-goldschen-ohm/pyqtgraph-ext/actions/workflows/build-test.yml/badge.svg)

![GitHub Release](https://img.shields.io/github/v/release/marcel-goldschen-ohm/pyqtgraph-ext?include_prereleases&cacheSeconds=1)
![publish](https://github.com/marcel-goldschen-ohm/pyqtgraph-ext/actions/workflows/publish.yml/badge.svg)

- [Install](#install)
- [AxisRegion](#axisregion)
- [View](#view)
- [Plot](#plot)
- [Figure](#figure)
- [PlotGrid](#plotgrid)
- [Graph](#graph)

# Install
Requires a PyQt package. Should work with PySide6, PyQt6, or PyQt5.
```shell
pip install PySide6
```
Install latest release version:
```shell
pip install pyqtgraph-ext
```
Or install latest development version:
```shell
pip install pyqtgraph-ext@git+https://github.com/marcel-goldschen-ohm/pyqtgraph-ext
```

# AxisRegion
`pyqtgraph.LinearRegionItem` with text label.

# View
`pyqtgraph.ViewBox` that knows how to draw `AxisRegion`s.

# Plot
`pyqtgraph.PlotItem` with MATLAB styling.

# Figure
`pyqtgraph.PlotWidget` with MATLAB styling.

# PlotGrid
`pyqtgraph.GraphicsLayoutWidget` that can set the size of all `View`s to be the same.

# Graph
`pyqtgraph.PlotDataItem` with context menu and style dialog.
